We use cookies to give you the best possible experience while you browse through our site. By continuing to use our website you implicitly agree to the usage of cookies on this site.

Read More
← Atlas API & Provisioning Reference

Number Inventory

Coverage

GET /api/v1/number_inventory/{type}/coverage HTTP/1.1

Searches inventory coverage.

Path Parameters

Name Type Description
type Enum(TENDLC, TOLLFREE):String! Either TENDLC or TOLLFREE

Query Parameters

Name Type Description
npa String Query Desc. npa
nxx String Query Desc. nxx
state String Query Desc. state
rate_center String Query Desc. rate_center
count_by Enum:String Query Desc. count_by

Query Desc. npa

A simplified format of the pattern, where only the NPA (Area Code) is provided.

This field can be used in conjuction with the nxx field to form a NPANXX pattern internally.

Query Desc. nxx

A simplified format of the pattern, where only the NXX (Exchange Code) is provided.

This field can be used in conjuction with the npa field to form a NPANXX pattern internally.

Query Desc. state

A state code used to filter on, it can be used in conjuction with rate_center typically.

Query Desc. rate_center

A rate center's code used to filter the coverage.

Enum Values count_by

Allowed values

  • STATE
  • RATE_CENTER
  • NPA_NXX
  • BLOCK

Query Desc. count_by

What should the coverage group its results by, the default is NPA_NXX.

Request

GET /api/v1/number_inventory/{type}/coverage HTTP/1.1
Accept: application/json

Response 200

application/json
HTTP/1.1 200
Content-Type: application/json
Content-Length: 453
{
  "data": {
    "count": 10,
    "items": [
      {
        "block": "9",
        "count": 101,
        "lata": "236",
        "npa": "202",
        "nxx": "201",
        "rate_center": "WSHNGTNZN1",
        "state": "DC",
        "type": "TENDLC"
      }
    ],
    "search_params": {
      "count_by": "npa_nxx",
      "npa": "202",
      "nxx": "201",
      "rate_center": "WSHNGTNZN1",
      "state": "DC"
    }
  },
  "type": "number_inventory"
}

Response 403

application/json
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}

Updated 2026-08-12 · Generated from the Atlas OpenAPI spec.